Bug 976999 - [abrt] merkaartor-0.18.1-2.fc18: operator!=: Process /usr/bin/merkaartor was killed by signal 11 (SIGSEGV)
[abrt] merkaartor-0.18.1-2.fc18: operator!=: Process /usr/bin/merkaartor was ...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: merkaartor (Show other bugs)
18
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Sven Lankes
Fedora Extras Quality Assurance
abrt_hash:291261a2575e2657f3a00e94455...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-22 08:59 EDT by Egon Kastelijn
Modified: 2014-02-05 16:55 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-05 16:55:23 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (99.89 KB, text/plain)
2013-06-22 08:59 EDT, Egon Kastelijn
no flags Details
File: cgroup (127 bytes, text/plain)
2013-06-22 08:59 EDT, Egon Kastelijn
no flags Details
File: core_backtrace (5.08 KB, text/plain)
2013-06-22 08:59 EDT, Egon Kastelijn
no flags Details
File: dso_list (22.54 KB, text/plain)
2013-06-22 08:59 EDT, Egon Kastelijn
no flags Details
File: environ (1.90 KB, text/plain)
2013-06-22 09:00 EDT, Egon Kastelijn
no flags Details
File: limits (1.29 KB, text/plain)
2013-06-22 09:00 EDT, Egon Kastelijn
no flags Details
File: maps (111.68 KB, text/plain)
2013-06-22 09:00 EDT, Egon Kastelijn
no flags Details
File: open_fds (1.38 KB, text/plain)
2013-06-22 09:00 EDT, Egon Kastelijn
no flags Details
File: proc_pid_status (941 bytes, text/plain)
2013-06-22 09:00 EDT, Egon Kastelijn
no flags Details
File: var_log_messages (636 bytes, text/plain)
2013-06-22 09:00 EDT, Egon Kastelijn
no flags Details

  None (edit)
Description Egon Kastelijn 2013-06-22 08:59:44 EDT
Description of problem:
Merkaartor repeatedly crashed under my fingers.
I was adding roads and tagging them as "highway": "service", "access": "private".
I was using the TAB key a lot to switch to the next tag.

Version-Release number of selected component:
merkaartor-0.18.1-2.fc18

Additional info:
reporter:       libreport-2.1.4
backtrace_rating: 4
cmdline:        merkaartor
crash_function: operator!=
executable:     /usr/bin/merkaartor
kernel:         3.9.4-200.fc18.x86_64
runlevel:       N 5
uid:            1000
xsession_errors: 

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 operator!= at ../../src/corelib/thread/qbasicatomic.h:75
 #1 detach at ../../src/gui/painting/qpainterpath.h:422
 #2 QTransform::map at painting/qtransform.cpp:1643
 #3 Relation::drawTouchup at Features/Relation.cpp:204
 #4 MapView::updateWireframe at common/MapView.cpp:670
 #5 MapView::paintEvent at common/MapView.cpp:296
 #6 QWidget::event at kernel/qwidget.cpp:8532
 #7 QApplicationPrivate::notify_helper at kernel/qapplication.cpp:4562
 #8 QApplication::notify at kernel/qapplication.cpp:4423
 #9 QCoreApplication::notifyInternal at kernel/qcoreapplication.cpp:949

Potential duplicate: bug 884811
Comment 1 Egon Kastelijn 2013-06-22 08:59:50 EDT
Created attachment 764084 [details]
File: backtrace
Comment 2 Egon Kastelijn 2013-06-22 08:59:53 EDT
Created attachment 764085 [details]
File: cgroup
Comment 3 Egon Kastelijn 2013-06-22 08:59:55 EDT
Created attachment 764086 [details]
File: core_backtrace
Comment 4 Egon Kastelijn 2013-06-22 08:59:59 EDT
Created attachment 764087 [details]
File: dso_list
Comment 5 Egon Kastelijn 2013-06-22 09:00:03 EDT
Created attachment 764088 [details]
File: environ
Comment 6 Egon Kastelijn 2013-06-22 09:00:08 EDT
Created attachment 764089 [details]
File: limits
Comment 7 Egon Kastelijn 2013-06-22 09:00:12 EDT
Created attachment 764090 [details]
File: maps
Comment 8 Egon Kastelijn 2013-06-22 09:00:15 EDT
Created attachment 764091 [details]
File: open_fds
Comment 9 Egon Kastelijn 2013-06-22 09:00:18 EDT
Created attachment 764092 [details]
File: proc_pid_status
Comment 10 Egon Kastelijn 2013-06-22 09:00:22 EDT
Created attachment 764093 [details]
File: var_log_messages
Comment 11 Fedora End Of Life 2013-12-21 09:06:26 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 12 Fedora End Of Life 2014-02-05 16:55:23 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.